PSE
Learn how to accept PSE, a common payment method in Colombia.
PSE (short for “pago seguro electronico”) is a bank transfer payment solution used in Colombia. PSE is an interface payment method which allows users to pay directly from their bank account in real time and without a credit card.
| Payment type | Bank transfer |
| Market | Colombia |
| Customers currencies | COP |
| Processing currencies | COP |
| Refunds | No |
| Payouts | No |
Step 1. Make a transaction request
From your server, make a POST /payment_preauthorize request.
https://sandbox.payabl.com/pay/backoffice/payment_preauthorizeInclude in the request parameters below:
The below parameters are mandatory for PSE
merchantid: The merchant identification number.orderid: The field orderid is optional and exclusively for the merchant's convenience.amount: The amount field contains the transaction’s total amount. This is the amount that will be transmitted to the authorizing system.currency: The currency field contains the alphanumeric currency code for the transaction, according to ISO 4217, e.g. COP.payment_method: The payment method id - 130 (or 126 if instructed by tech support).signature: The signature field contains a 40-figure hexadecimal value. This signature value is a checksum designed to protect the merchant account from unauthorized access.email: The customer's email address.custom2: The name of payment method - pse.nationalid: Consumer’s national id, has to satisfy the following regular expression: NIT: 10 digits, CC: 6~10 digits.nationaltype: User's identification type NIT or CC
You can see a full list of parameters in Pre-Authorization.phone: max. 20 characters, only numbers.bank_id: Bank ID
Please find below Bank ID values:
| Bank ID | Bank Name |
|---|---|
| 1831 | ACCION FIDUCIARIA |
| 1815 | ALIANZA FIDUCIARIA |
| 1558 | BAN100 |
| 1059 | BANCAMIA S.A. |
| 1040 | BANCO AGRARIO |
| 1052 | BANCO AV VILLAS |
| 1013 | BANCO BBVA COLOMBIA S.A. |
| 1032 | BANCO CAJA SOCIAL |
| 1066 | BANCO COOPERATIVO COOPCENTRAL |
| 1051 | BANCO DAVIVIENDA |
| 1001 | BANCO DE BOGOTA |
| 1023 | BANCO DE OCCIDENTE |
| 1062 | BANCO FALABELLA |
| 1063 | BANCO FINANDINA S.A. BIC |
| 1012 | BANCO GNB SUDAMERIS |
| 1006 | BANCO ITAU |
| 1071 | BANCO J.P. MORGAN COLOMBIA S.A. |
| 1047 | BANCO MUNDO MUJER S.A. |
| 1060 | BANCO PICHINCHA S.A. |
| 1002 | BANCO POPULAR |
| 1065 | BANCO SANTANDER COLOMBIA |
| 1069 | BANCO SERFINANZA |
| 1303 | BANCO UNION |
| 1007 | BANCOLOMBIA |
| 1061 | BANCOOMEVA S.A. |
| 1808 | BOLD CF |
| 1283 | CFA COOPERATIVA FINANCIERA |
| 1009 | CITIBANK |
| 1812 | COINK SA |
| 1370 | COLTEFINANCIERA |
| 1292 | CONFIAR COOPERATIVA FINANCIERA |
| 1289 | COTRAFA |
| 1816 | CREZCAMOS |
| 1097 | DALE |
| 1019 | DAVIbank S.A. |
| 1551 | DAVIPLATA |
| 1802 | DING |
| 1121 | FINANCIERA JURISCOOP SA COMPAÑÍA DE FINANCIAMIENTO |
| 1814 | GLOBAL66 |
| 1637 | IRIS |
| 1286 | JFK COOPERATIVA FINANCIERA |
| 1070 | LULO BANK |
| 1801 | MOVII S.A. |
| 1507 | NEQUI |
| 1809 | NU |
| 1824 | PAYCASH |
| 1803 | POWWI |
| 1811 | RAPPIPAY |
| 1804 | UALÁ |
Step 2. Handle the redirect
To complete the payment, you need to redirect the customer to the correct URL in the response.
Response
transactionid=105353928&transid=105353928&status=2000&errormessage=pending&errmsg=pending&amount=1.23&
price=1.23¤cy=COP&orderid=Payabl-Test&redirect_url=https://secure.payty.com/t/gaf1x7fu&user_id=787896
Step 3. Transaction states
If the customer successfully completed the transaction, you will receive a notification with confirmation.
Notification example (successful transaction):
orderid=Payabl-Test&errorcode=0&security=e76fac903aabf3a9f2233c910caf52935b0c7744c6466ae49ef6a6da5435f29b&
payment_method=130&errormessage=&payment_state=credited×tamp=1693294206&transactionid=105353928&type=capture
If the customer initiated the transaction but didn't finalize it, you will receive a failed notification.
Notification example with error:
transactionid=105353943&transid=105353943&status=-66182&errormessage=Wrong national ID&errmsg=Wrong national ID&
amount=1.23&price=1.23¤cy=COP&orderid=Payabl-Test&user_id=787896&error_codes=&error_messages=Updated about 4 hours ago
